<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateRelationCitySchoolsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('relation_city_schools', function (Blueprint $table) {
            $table->string('town_id');
            $table->integer('e_school1')->nullable();
            $table->integer('e_school2')->nullable();
            $table->integer('e_school3')->nullable();
            $table->integer('e_school4')->nullable();
            $table->integer('e_school5')->nullable();
            $table->integer('e_school6')->nullable();
            $table->integer('e_school7')->nullable();
            $table->integer('j_school1')->nullable();
            $table->integer('j_school2')->nullable();
            $table->integer('j_school3')->nullable();
            $table->integer('j_school4')->nullable();
            $table->integer('j_school5')->nullable();
            $table->integer('j_school6')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('relation_city_schools');
    }
}
